From: "Mike Gilbert" <floppym@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-boot/syslinux/
Date: Mon, 30 May 2022 20:32:35 +0000 (UTC) [thread overview]
Message-ID: <1653942733.c8cb8a9930524cd70efad59529c9e1936dcb0bf3.floppym@gentoo> (raw)
commit: c8cb8a9930524cd70efad59529c9e1936dcb0bf3
Author: Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Mon May 30 20:28:26 2022 +0000
Commit: Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Mon May 30 20:32:13 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c8cb8a99
sys-boot/syslinux: replace efi32 and efi64 with ABI_X86 flags
Closes: https://bugs.gentoo.org/584464
Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>
sys-boot/syslinux/metadata.xml | 3 +--
sys-boot/syslinux/syslinux-6.04_pre3.ebuild | 29 +++++++++++++++++------------
2 files changed, 18 insertions(+), 14 deletions(-)
diff --git a/sys-boot/syslinux/metadata.xml b/sys-boot/syslinux/metadata.xml
index 22c238faa909..ca6327ed17a2 100644
--- a/sys-boot/syslinux/metadata.xml
+++ b/sys-boot/syslinux/metadata.xml
@@ -10,8 +10,7 @@
</maintainer>
<use>
<flag name="bios">Enable BIOS support</flag>
- <flag name="efi32">Enable 32-bit EFI support</flag>
- <flag name="efi64">Enable 64-bit EFI support</flag>
+ <flag name="efi">Enable EFI support</flag>
</use>
<upstream>
<remote-id type="cpe">cpe:/a:gentoo:syslinux</remote-id>
diff --git a/sys-boot/syslinux/syslinux-6.04_pre3.ebuild b/sys-boot/syslinux/syslinux-6.04_pre3.ebuild
index 14724565c3dd..0cdfd3d15c7b 100644
--- a/sys-boot/syslinux/syslinux-6.04_pre3.ebuild
+++ b/sys-boot/syslinux/syslinux-6.04_pre3.ebuild
@@ -13,8 +13,9 @@ SRC_URI="https://git.zytor.com/syslinux/syslinux.git/snapshot/${MY_P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="-* ~amd64 ~x86"
-IUSE="+bios efi32 efi64"
-REQUIRED_USE="|| ( bios efi32 efi64 )"
+IUSE="abi_x86_32 abi_x86_64 +bios +efi"
+REQUIRED_USE="|| ( bios efi )
+ efi? ( || ( abi_x86_32 abi_x86_64 ) )"
BDEPEND="
dev-lang/perl
@@ -31,8 +32,7 @@ RDEPEND="
dev-perl/Digest-SHA1
"
DEPEND="${RDEPEND}
- efi32? ( sys-boot/gnu-efi[abi_x86_32(-)] )
- efi64? ( sys-boot/gnu-efi[abi_x86_64(-)] )
+ efi? ( sys-boot/gnu-efi[abi_x86_32(-)?,abi_x86_64(-)?] )
virtual/os-headers
"
@@ -69,21 +69,26 @@ src_compile() {
if use bios; then
emake bios
fi
- if use efi32; then
- efimake x86 efi32
- fi
- if use efi64; then
- efimake amd64 efi64
+ if use efi; then
+ if use abi_x86_32; then
+ efimake x86 efi32
+ fi
+ if use abi_x86_64; then
+ efimake amd64 efi64
+ fi
fi
}
src_install() {
+ local firmware=( $(usev bios) )
+ if use efi; then
+ use abi_x86_32 && firmware+=( efi32 )
+ use abi_x86_64 && firmware+=( efi64 )
+ fi
local args=(
INSTALLROOT="${ED}"
MANDIR='$(DATADIR)/man'
- $(usev bios)
- $(usev efi32)
- $(usev efi64)
+ "${firmware[@]}"
install
)
emake -j1 "${args[@]}"
next reply other threads:[~2022-05-30 20:32 UTC|newest]
Thread overview: 32+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-05-30 20:32 Mike Gilbert [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-09 16:46 [gentoo-commits] repo/gentoo:master commit in: sys-boot/syslinux/ Ben Kohler
2024-01-07 17:19 Andrew Ammerlaan
2023-10-18 10:13 Sam James
2023-08-17 7:49 Andrew Ammerlaan
2022-12-27 16:52 Mike Gilbert
2022-12-25 23:54 Mike Gilbert
2022-12-25 17:11 Arthur Zamarin
2022-12-25 2:10 Mike Gilbert
2022-12-24 7:11 Sam James
2022-12-20 23:26 Mike Gilbert
2022-05-31 12:31 Mike Gilbert
2022-05-31 1:42 Mike Gilbert
2022-05-31 0:08 Mike Gilbert
2021-07-16 4:04 Sam James
2021-07-16 4:04 Sam James
2021-04-16 10:25 David Seifert
2021-04-03 15:44 Sam James
2021-01-01 21:49 Andreas K. Hüttel
2020-12-17 0:58 Sam James
2020-12-02 3:06 Thomas Deutschmann
2020-05-26 22:31 Sergei Trofimovich
2019-11-07 7:19 Michał Górny
2019-10-05 18:56 Michał Górny
2019-06-04 6:26 Andreas K. Hüttel
2019-03-10 13:03 Sergei Trofimovich
2018-06-26 17:53 Mikle Kolyada
2017-10-27 9:55 Thomas Deutschmann
2017-10-24 12:58 Manuel Rüger
2016-06-09 16:12 Chí-Thanh Christopher Nguyễn
2016-04-24 20:11 Chí-Thanh Christopher Nguyễn
2016-04-24 20:11 Chí-Thanh Christopher Nguyễn
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1653942733.c8cb8a9930524cd70efad59529c9e1936dcb0bf3.floppym@gentoo \
--to=floppym@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox